@echo off

REM  Licensed Materials - Property of IBM
REM  Rational ClearCase
REM  (C) Copyright IBM Corp. 1996, 2014.  All Rights Reserved.
REM  US Government Users Restricted Rights -
REM  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp

set LOG=%CLEARCASEHOME%\var\log\rgy_backup_log
set TASKDIR=%CLEARCASEHOME%\config\scheduler\tasks

"%CLEARCASEHOME%\bin\rgy_backup.exe" >> "%LOG%" 2>&1
if errorlevel 1 goto error

"%CLEARCASEHOME%\bin\ccperl.exe" "%TASKDIR%\rgy_backup_scrubber.pl" "%CLEARCASEHOME%\var\rgy\backup"
if errorlevel 1 goto error

goto quit

:error
echo ClearCase rgy_backup reported errors.  See %LOG%.

:quit
